CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
CommandMessenger.SendCommand Class Reference

A command to be send by CmdMessenger. More...

Inheritance diagram for CommandMessenger.SendCommand:

List of all members.

## Public Member Functions
| SendCommand (int cmdId)
| Constructor.
| SendCommand (int cmdId, string argument)
| Constructor.
| SendCommand (int cmdId, string[] arguments)
| Constructor.
| SendCommand (int cmdId, float argument)
| Constructor.
| SendCommand (int cmdId, double argument)
| Constructor.
| SendCommand (int cmdId, UInt16 argument)
| Constructor.
| SendCommand (int cmdId, Int16 argument)
| Constructor.
| SendCommand (int cmdId, UInt32 argument)
| Constructor.
| SendCommand (int cmdId, Int32 argument)
| Constructor.
| SendCommand (int cmdId, bool argument)
| Constructor.
| SendCommand (int cmdId, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, string argument, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, string[] arguments, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, float argument, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, double argument, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, Int16 argument, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, UInt16 argument, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, Int32 argument, int ackCmdId, int timeout)
| Constructor.
| SendCommand (int cmdId, UInt32 argument, int ackCmdId, int timeout)
| Constructor.
void | AddArgument (string argument)
| Adds a command argument.
void | AddArguments (string[] arguments)
| Adds command arguments.
void | AddArgument (float argument)
| Adds a command argument.
void | AddArgument (Double argument)
| Adds a command argument.
void | AddArgument (Int16 argument)
| Adds a command argument.
void | AddArgument (UInt16 argument)
| Adds a command argument.
void | AddArgument (Int32 argument)
| Adds a command argument.
void | AddArgument (UInt32 argument)
| Adds a command argument.
void | AddArgument (bool argument)
| Adds a command argument.
void | AddBinArgument (string argument)
| Adds a binary command argument.
void | AddBinArgument (float argument)
| Adds a binary command argument.
void | AddBinArgument (Double argument)
| Adds a binary command argument.
void | AddBinArgument (Int16 argument)
| Adds a binary command argument.
void | AddBinArgument (UInt16 argument)
| Adds a binary command argument.
void | AddBinArgument (Int32 argument)
| Adds a binary command argument.
void | AddBinArgument (UInt32 argument)
| Adds a binary command argument.
void | AddBinArgument (bool argument)
| Adds a binary command argument.
## Properties
bool | ReqAc`[get, set]`
| Indicates if we want to wait for an acknowledge command.
int | AckCmdId`[get, set]`
| Gets or sets the acknowledge command ID.
int | Timeout`[get, set]`
| Gets or sets the time we want to wait for the acknowledge command.

## Detailed Description

A command to be send by CmdMessenger.

## Constructor & Destructor Documentation

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId | ) |

Constructor.

Parameters:

  cmdId | the command ID.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | string | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | string[] | arguments
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  arguments | The arguments.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | float | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | double | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | UInt16 | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | Int16 | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | UInt32 | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | Int32 | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | bool | argument
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | string | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | string[] | arguments,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  arguments | The arguments.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | float | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | double | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | Int16 | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | UInt16 | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | Int32 | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

CommandMessenger.SendCommand.SendCommand | ( | int | cmdId,
|  | UInt32 | argument,
|  | int | ackCmdId,
|  | int | timeout
| ) |  |

Constructor.

Parameters:

  cmdId | Command ID
  argument | The argument.
  ackCmdId | Acknowledge command ID.
  timeout | The timeout on waiting for an acknowledge

## Member Function Documentation

void CommandMessenger.SendCommand.AddArgument | ( | string | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | float | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | Double | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | Int16 | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | UInt16 | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | Int32 | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | UInt32 | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArgument | ( | bool | argument | ) |

Adds a command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddArguments | ( | string[] | arguments | ) |

Adds command arguments.

Parameters:

  arguments | The arguments.

void CommandMessenger.SendCommand.AddBinArgument | ( | string | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | float | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | Double | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | Int16 | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | UInt16 | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | Int32 | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | UInt32 | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

void CommandMessenger.SendCommand.AddBinArgument | ( | bool | argument | ) |

Adds a binary command argument.

Parameters:

  argument | The argument.

## Property Documentation

int CommandMessenger.SendCommand.AckCmdId`[get, set]`

Gets or sets the acknowledge command ID.

the acknowledge command ID.

bool CommandMessenger.SendCommand.ReqAc`[get, set]`

Indicates if we want to wait for an acknowledge command.

true if request acknowledge, false if not.

int CommandMessenger.SendCommand.Timeout`[get, set]`

Gets or sets the time we want to wait for the acknowledge command.

The timeout on waiting for an acknowledge

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/SendCommand.cs